...\" Copyright 1991,1992,1993 Open Software Foundation, Inc.,
...\" Cambridge, Massachusetts
...\" All rights reserved.
...\"
.\" @OSF_FREE_COPYRIGHT@
.\" 
.\" HISTORY
.\" $Log: appa.mm,v $
.\" Revision 1.1.2.7  1994/06/24  15:14:41  fred
.\" 	free copyright
.\" 	[1994/06/23  20:20:29  fred]
.\"
.\" Revision 1.1.2.6  1994/06/23  18:38:32  fred
.\" 	free copyright
.\" 	[1994/06/22  19:06:46  fred]
.\" 
.\" Revision 1.1.2.5  1993/06/11  19:05:40  josh
.\" 	Completely revised version of Style Guide by Noreen Casey (not josh)
.\" 	[1993/06/11  19:01:34  josh]
.\" 
.\" Revision 1.1.2.4  1993/04/10  01:35:21  bowe
.\" 	Add OSF copyright.
.\" 	[1993/04/10  01:32:09  bowe]
.\" 
.\" Revision 1.1.2.3  1992/10/23  16:46:38  bowe
.\" 	Initial submission left this file empty.  Filled it...
.\" 	[1992/10/23  16:45:35  bowe]
.\" 
.\" Revision 1.1.2.2  1992/05/28  20:03:18  bowe
.\" 	Initial revision.
.\" 	[1992/05/28  19:56:19  bowe]
.\" 
.\" $EndLog$
.nr H1 0
.H 1 "Recommended Reference Books"
.P
\fIThe OSF Style Guide\fR is only one source of information that will help you produce OSF's documentation.  For additional reference information, refer to the documents listed in this Appendix.

.H 2 "Style and Usage"
For style and usage issues, refer to the following books:
.BL
.LI
\fIThe Chicago Manual of Style,\fR 13th ed. (University of Chicago Press, 1982).  The book on which most of the Writing Style Guide is based.  Where the two books differ, follow the \fIOSF Style Guide\fR.
.LI
\fIUnited States Government Printing Office Style Manual\fR (United States Government Printing Office, 1984).  Colloquially, the "GPO style guide."  Offers more extensive coverage of scientific and technical usage than \fIChicago\fR.
.LI
\fIWords Into Type\fR, 3rd ed., by Marjorie E. Skillin, Robert M. Gray, and other authorities (Prentice Hall, 1974).  An invaluable reference for grammar, usage, style, and production methods.  More concise than \fIChicago\fR and a good source for guidance on typesetting.
.LI
\fIA Dictionary of Modern English Usage,\fR 2nd ed., by H.W. Fowler (Oxford University Press, 1965).  A source book on "the choice of precise words" and "their careful and orderly arrangement."  Some entries seem dated, and the English is British, but reading Fowler you can never forget your responsibility to the critical reader.
.LI
\fIThe Careful Writer,\fR by Theodore M. Bernstein (Atheneum, 1983).  Fowler-like (alphabetic) but contemporary and easy to read.
.LI
\fIThe Elements of Style,\fR by William Strunk, Jr., and E.B. White (Macmillan, 1959).  Clear, simple ruled for writing in plain English.
.LE
.H 2 "Grammar"
For grammar rules and examples, refer to the following books:
.BL
.LI
\fIEssentials of English Grammar,\fR by L. Sue Baugh (Passport Books, 1987).  Short, practical explanations and examples.
.LI
\fIWriter's Guide and Index to English,\fR 5th ed. by Porter G. Perrin.  REvised by Wilma R. Ebitt (Scott, Foreman, 1972)  Expository writing, including chapters on sentence and paragraph construction, spelling, and punctuation.
.LE
.H 2 "Spelling"
For spelling questions, refer to the following books:
.BL
.LI
\fIThe Random House Dictionary of the English Language,\fR 2nd ed. (Random House, 1987).  More complete and up to date than other unabridged dictionaries.
.LI
\fIWebster's Ninth New Collegiate Dictionary\fR (Merriam-Webster, 1989) (if you do not have an unabridged dictionary).
.LE
.H 2 "Technical Terms"
.P
For technical terms, refer to the following books:
.BL
.LI
\fIComputer Dictionary,\fR fourth edition, by Charles J. Sippl (Sams, 1985).
.LI
\fIGraphic Symbols for Electrical and Electronics Diagrams (Including Reference Designation Letters)\fR (IEEE, 1975)
.LI
\fIIEEE Standard Dictionary of Electrical and Electronics Terms,\fR 3rd ed., (IEEE, 1984).
.LI
\fIIEEE Standard Letter Symbols for Unites of Measurement (SI Units Customary Inch-Pound Units, and Certain Other Units)\fR (IEEE, 1978).
.LI
\fIIEEE Standard Reference Designations for Electrical and Electronics Parts and Equipment\fR (IEEE/ANSI, 1975).
.LE
.H 2 "Indexing"
.P
For indexing procedures, refer to the following books:
.BL
.LI
\fIThe Chicago Manual of Style,\fR 13th ed. (University of Chicago Press, 1982), Chapter 18.
.LI
\fIAmerican National Standard for Library and Information Sciences and Related Publishing Practices -- Basic Criteria for Indexes\fR (ANSI, 1983). 
.LE
